data:extend({

{
    type = "lamp",
    name = "red-lamp",
	icon = "__ColorLights__/graphics/icons/small-lamp-red.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "red-lamp"},
    max_health = 55,
    corpse = "small-remnants",
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },
    energy_usage_per_tick = "5KW",
    light = {intensity = 2, size = 40, color = {r=.1, a=.1}},
    picture_off =
    {
      filename = "__ColorLights__/graphics/entity/small-lamp-colors.png",
      priority = "high",
      width = 83,
      height = 75,
      shift = {0, -0.1}
    },
    picture_on =
    {
      filename = "__ColorLights__/graphics/entity/small-lamp-colors.png",
      priority = "high",
      width = 83,
      height = 75,
      x = 83,
      shift = {0, -0.1}
    }
  },
  
  {
    type = "lamp",
    name = "green-lamp",
    icon = "__ColorLights__/graphics/icons/small-lamp-green.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "green-lamp"},
    max_health = 55,
    corpse = "small-remnants",
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },
    energy_usage_per_tick = "5KW",
    light = {intensity = 2, size = 40, color = {g=.1, a=.1}},
    picture_off =
    {
      filename = "__ColorLights__/graphics/entity/small-lamp-colors.png",
      priority = "high",
      width = 83,
      height = 75,
      shift = {0, -0.1}
    },
    picture_on =
    {
      filename = "__ColorLights__/graphics/entity/small-lamp-colors.png",
      priority = "high",
      width = 83,
      height = 75,
      x = 166,
      shift = {0, -0.1}
    }
  },
    
  {
    type = "lamp",
    name = "blue-lamp",
    icon = "__ColorLights__/graphics/icons/small-lamp-blue.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "blue-lamp"},
    max_health = 55,
    corpse = "small-remnants",
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },
    energy_usage_per_tick = "5KW",
    light = {intensity = 2, size = 40, color = {b=.2, a=.1}},
    picture_off =
    {
      filename = "__ColorLights__/graphics/entity/small-lamp-colors.png",
      priority = "high",
      width = 83,
      height = 75,
      shift = {0, -0.1}
    },
    picture_on =
    {
      filename = "__ColorLights__/graphics/entity/small-lamp-colors.png",
      priority = "high",
      width = 83,
      height = 75,
      x = 249,
      shift = {0, -0.1}
    }
  },
  
    
  {
    type = "lamp",
    name = "purple-lamp",
    icon = "__ColorLights__/graphics/icons/small-lamp-purple.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "purple-lamp"},
    max_health = 55,
    corpse = "small-remnants",
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },
    energy_usage_per_tick = "5KW",
    light = {intensity = 2, size = 40, color = {r=.1, b=.1, a=.1}},
    picture_off =
    {
      filename = "__ColorLights__/graphics/entity/small-lamp-colors.png",
      priority = "high",
      width = 83,
      height = 75,
      shift = {0, -0.1}
    },
    picture_on =
    {
      filename = "__ColorLights__/graphics/entity/small-lamp-colors.png",
      priority = "high",
      width = 83,
      height = 75,
      x = 332,
      shift = {0, -0.1}
    }
  },
  
  {
    type = "lamp",
    name = "yellow-lamp",
    icon = "__ColorLights__/graphics/icons/small-lamp-yellow.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "yellow-lamp"},
    max_health = 55,
    corpse = "small-remnants",
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },
    energy_usage_per_tick = "5KW",
    light = {intensity = 2, size = 40, color = {r=.1, g=.1, a=.1}},
    picture_off =
    {
      filename = "__ColorLights__/graphics/entity/small-lamp-colors.png",
      priority = "high",
      width = 83,
      height = 75,
      shift = {0, -0.1}
    },
    picture_on =
    {
      filename = "__ColorLights__/graphics/entity/small-lamp-colors.png",
      priority = "high",
      width = 83,
      height = 75,
      x = 415,
      shift = {0, -0.1}
    }
  },
  })